/************************ 
    議程和工作坊共用樣式 
*************************/

.sec-agenda,
.sec-workshop {
  background-color: #f7f7f7;
}

#workshop input[type=text],
select {
  width: 180px;
  padding: 6px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 6px;
  box-sizing: border-box;
}

.sec-agenda .white-box {
  border: 2px solid var(--main);
}

.agenda-nav .nav-item a {
  padding: 0.5rem 2rem;
  font-size: 1.4rem;
  margin: 2rem 1rem;
}

.agenda-nav .nav-item .active {
  color: var(--black);
  background: linear-gradient(119deg, #ececec 50%, var(--main) 50.1%);
  background-size: 300%;
  box-shadow: inset 0 2px 5px #b6b6b6;
}

.date-box {
  position: sticky;
  top: 8rem;
  font-size: 30px;
  text-align: center;
  color: var(--C2);
}

@media (max-width:576px) {
  .agenda-nav .nav-item a {
    padding: 0.5rem 1rem;
    margin: 2rem 1rem 0;
  }

  .date-box {
    text-align: center;
  }
}

.session-time {
  text-align: center;
}

.session-time p {
  border-radius: 5px;
  margin: 20px 0 15px;
  font-size: 24px;
  border: 1px solid #b8b8b8;
}

.agenda-box {
  height: 90%;
  position: relative;
  margin: 10px auto 20px;
  border-radius: 10px;
  box-shadow: 0 3px 8px #b3b3b350;
  transition: all 0.3s cubic-bezier(0.8, 0.5, 0.2, 1.4);
}

.agenda-box:hover {
  transform: translateY(-2px);
  box-shadow: 0 8px 16px #d1d1d150;
}

.agenda-box .session-class {
  padding: 15px 20px 10px;
  border-radius: 5px 5px 0 0;
}

.session-class h4 {
  color: #fff;
  margin: 0;
  font-size: 28px;
}

.session-title {
  padding: 10px 20px;
  position: relative;
}

.session-title .session-timebox,
.session-title .lab-timebox {
  display: inline-block;
  padding: 0 10px;
  background-color: rgb(232, 239, 246);
  color: var(--C1);
  border-radius: 0.5em;
  text-align: center;
  font-size: 16px;
}

.session-title .lab-timebox {
  color: var(--C2);
}

.break {
  border-radius: 10px 10px 0 0;
  background-color: #e6e6e6;
  border: 1px solid #b8b8b8;
  padding: 15px 0 10px;
}

.session-title h5 {
  font-weight: 600;
  font-size: 20px;
  margin: 0.5rem 0;
  /* overflow: hidden;
  display: -webkit-box;
  text-overflow: ellipsis;
  -webkit-line-clamp: 4;
  行數
  -webkit-box-orient: vertical;
  white-space: normal; */
}

.session-title p {
  /* display: inline-block; */
  font-size: 16px;
  color: #888888;
  margin-bottom: 3px;
}

/* .session-title p::after {
  content: '|';
  padding: 0 5px;
}

.session-title p:last-child::after {
  content: '';
} */

.agenda-box .keytag::after {
  content: 'KEYNOTE';
  background-color: var(--black);
  border-radius: 5px;
  color: #fff;
  font-size: 16px;
  letter-spacing: 1px;
  padding: 5px 6px;
  line-height: 1.5;
}

@media (max-width:1200px) {

  .session-title .session-timebox,
  .session-title .lab-timebox {
    border-radius: 10px;
  }
}

/************************ 顏色  *************************/
.borderABCDEF {
  border: 2px solid #A470E6;
}

.colorABCDEF {
  background-color: #A470E6;
}

.borderA2 {
  border: 2px solid #30bdc7;
}

.colorA2 {
  background-color: #30bdc7;
}


.borderB {
  border: 2px solid #3e72ff;
}

.colorB {
  background-color: #3e72ff;
}

.borderF {
  border: 2px solid #ff59b4;
}

.colorF {
  background-color: #ff59b4;
}

.borderA1 {
  border: 2px solid #ff6a45;
}

.colorA1 {
  background-color: #ff6a45;
}

.borderG {
  border: 2px solid #4dc15a;
}

.colorG {
  background-color: #4dc15a;
}